#
# spec file for package ohphone (Version 1.1.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel alsa audiofile esound gpp kdelibs-artsd libgpp openh323 openh323-devel openssl openssl-devel pwlib pwlib-devel xdevel xf86 xshared
# usedforbuild    SDL SDL-devel aaa_base aaa_dir alsa audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd kdelibs-artsd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openh323 openh323-devel openssl openssl-devel pam pam-devel patch perl ps pwlib pwlib-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         ohphone
URL:		http://www.openh323.org
Copyright:    Copyright (c) 1993-1998 Equivalence Pty. Ltd., Mozilla Public License Version 1.0
BuildRoot:	%{_tmppath}/%{name}-root
Autoreqprov:  on
Group:        Applications/Multimedia
Summary:      A H.323 "net telephone" application
Version:      1.1.5
Release:      81
Source0:      ohphone_%{version}.tar.bz2

%description
This package provides an internet telephony application according
to the H.323 standard.

SuSE series: n

%prep
%setup -n ohphone

%build
export PWLIBDIR=/usr/lib/pwlib
export OPENH323DIR=/usr/lib/openh323
make opt

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
if [ `uname -m | cut -b 3-` == "86" ]; then
  export M="x86"
else
if [ `uname -m | cut -b -3` == "ppc" ]; then
  export M="ppc"
else
if [ `uname -m | cut -b -7` == "sparc64" ]; then
  export M="sparc64"
else
if [ `uname -m | cut -b -5` == "sparc" ]; then
  export M="sparc"
else
if [ `uname -m | cut -b -5` == "alpha" ]; then
  export M="alpha"
else
if [ `uname -m | cut -b -4` == "ia64" ]; then
  export M="ia64"
else
if [ `uname -m | cut -b -5` == "s390x" ]; then
  export M="s390x"
else
if [ `uname -m | cut -b -4` == "s390" ]; then
  export M="s390"
else
  export M=`uname -m`
fi
fi
fi
fi
fi
fi
fi
fi
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
install -c obj_linux_"$M"_r/ohphone $RPM_BUILD_ROOT/usr/bin
install -c ohphone.1 $RPM_BUILD_ROOT/usr/share/man/man1

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%{_mandir}/man1/ohphone.1.gz
/usr/bin/ohphone

%changelog -n ohphone
* Mon Aug 20 2001 - ro@suse.de
- added kdelibs-artsd to neededforbuild
* Fri Aug 17 2001 - kkaempf@suse.de
- update to 1.1.5
* Thu Aug 16 2001 - kkaempf@suse.de
- implement RPM_BUILD_ROOT in spec file.
* Mon Aug 06 2001 - kkaempf@suse.de
- update to 1.1.4
- add openssl, openssl-devel to neededforbuild
* Wed Jan 03 2001 - kkaempf@suse.de
- install directly to /usr/bin
* Tue Jan 02 2001 - kkaempf@suse.de
- update to maintenance release 1.1pl1
* Fri Nov 24 2000 - kkaempf@suse.de
- fix install of manpage
* Thu Nov 16 2000 - kkaempf@suse.de
- provide wrapper for LD_LIBRARY_PATH
* Wed Nov 15 2000 - kkaempf@suse.de
- pwlib-devel and openh323-devel in neededforbuild
* Tue Nov 14 2000 - kkaempf@suse.de
- update to 1.1 release
  man page added
* Mon Aug 21 2000 - kkaempf@suse.de
- fix path for axp build
* Mon Jul 17 2000 - kkaempf@suse.de
- fix video window size
* Fri Jul 14 2000 - kkaempf@suse.de
- cvs update, race fix
* Thu Jul 13 2000 - kkaempf@suse.de
- cvs update, video separation
* Wed Jul 12 2000 - kkaempf@suse.de
- fix sparc machtype
* Wed Jul 12 2000 - kkaempf@suse.de
- cvs update
* Mon Jul 10 2000 - kkaempf@suse.de
- fix specfile for alpha and ia64
* Mon Jul 03 2000 - kkaempf@suse.de
- fix neededforbuild
* Tue Jun 27 2000 - kkaempf@suse.de
- fix machine name in specfile
* Wed Jun 21 2000 - kkaempf@suse.de
- created package
